% FIGURE 5.4.1
%                              BREAK POINTS ARE XPTS(K), K=1,N+1
%                              UNKNOWNS ARE A(I), I=1,M
      global N XPTS M A OMEGA LOCATE
      OMEGA = @OMEGA541;
      LOCATE = @LOCATE541;
%                              N = NUMBER OF SUBINTERVALS
      N = 4;
%                              M = NUMBER OF UNKNOWNS
      M = 2*N+1;
      ALPHA = 3.636;
      for K=1:N+1
         XPTS(K) = ((K-1)/N)^ALPHA;
      end
%                              CALCULATE RIGHT HAND SIDE VECTOR AND
%                              COEFFICIENT MATRIX
      L = 3;
      for K=1:M
         B(K) = 1.1*PHI(K,0,1.0);
         for I=max(K-L,1):min(K+L,M)
            AMAT(K,L+1+I-K) = GAUSS(@FUNA541,K,I);
         end
      end
%                              SOLVE LINEAR SYSTEM USING BAND SOLVER
      A = LBAND(AMAT,B,M,L);
%                              CALCULATE MAXIMUM ERROR
      ERMAX = 0.0;
      for J=0:100
         X = J/100.0;
         ERR = abs(USOL(0,X) - X^1.1);
         ERMAX = max(ERMAX,ERR);
      end
      ERMAX
 
